Bug 11962 - REGRESSION: images in webarchive not loaded
Summary: REGRESSION: images in webarchive not loaded
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: HasReduction, InRadar, Regression
Depends on:
Blocks:
 
Reported: 2006-12-24 15:20 PST by David Kilzer (:ddkilzer)
Modified: 2007-02-10 04:32 PST (History)
3 users (show)

See Also:


Attachments
Test case (same as attachment 12005) (98.89 KB, application/x-webarchive)
2006-12-24 15:21 PST, David Kilzer (:ddkilzer)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2006-12-24 15:20:47 PST
Summary:

A webarchive created for Bug 11959 (attachment 12005 [details]) contains images in the WebSubresources section of the archive, but does not load them when the webarchive is opened.

Steps to reproduce:

1. Load test webarchive (attachment 12005 [details] or test case on this bug).

Expected results:

"Expected", "Actual" and "Diff" tabs should contain images the first time they are loaded.

Actual results:

"Expected", "Actual" and "Diff" tabs are missing images.

Regression:

This is a regression from shipping Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8N1037).  Tested with a locally-build debug build of WebKit r18411.

Notes:

None.
Comment 1 David Kilzer (:ddkilzer) 2006-12-24 15:21:31 PST
Created attachment 12012 [details]
Test case (same as attachment 12005 [details])
Comment 2 Mark Rowe (bdash) 2007-01-17 15:18:19 PST
<rdar://problem/4930688>
Comment 3 David Kilzer (:ddkilzer) 2007-02-10 04:32:55 PST
Committed by kdecker in r19549.